{% extends 'base.html' %}

{% block content %}
{% autoescape false %}
    <div class="fr-container">
        <div class="fr-col-12">
            <h1 class="fr-h2">Un besoin en communication ?</h1>
        </div>
        <div class="fr-col-12 fr-grid-row fr-mx-5w">
            <div class="fr-col-4 home-img">
                <img src="{{ domain }}/resources/img/capture.jpg" alt="Multicanal" />
            </div>
            <div class="fr-col-1"></div>
            <div class="fr-col-7">
                <h2 class="fr-h3 fr-icon--lg fr-icon-question-line"> Comment ça marche ?</h2>
                <ol>
                    <li>Je pr&eacute;pare mes listes de diffusion par th&eacute;matique par exemple.</li>
                    <li>Je constitue mon contenu &agrave; partir d'une information ext&eacute;rieure ou r&eacute;dig&eacute; en interne<br />
                        Ou je prépare un contenu redondant pour emploi ult&eacute;rieur.</li>
                    <li>Je sélectionne le ou les canaux de communication (SMS, email, site Internet ou r&eacute;seaux sociaux).</li>
                    <li>Puis je communique ce contenu à travers une liste de diffusion.</li>
                </ol>
            </div>
        </div>

        <div class=" fr-grid-row fr-grid-row--gutters">
            <div class="fr-col-8">
                <h2 class="fr-h3 fr-icon--lg fr-icon-question-line"> Les listes de diffusion ?</h2>
                <ul>
                    <li>Organiser vos communications par liste de diffusion auxquels peuvent s'abonner tout public</li>
                    <li>Lister vos listes de diffusion simplement sur votre site Internet, l'espace d'affichage de votre mairie</li>
                    <li>G&eacute;rer de mani&egrave;re collaborative la communication au sein de votre collectivit&eacute;</li>
                </ul>
            </div>
            <div class="fr-col-4">
                <img src="{{ domain }}/resources/img/communication.png" alt="Communication multicanal" />
            </div>
        </div>

        <div class="fr-highlight fr-mt-4w fr-col-12">
            <h3 class="fr-fi-account-line fr-icon--lg" aria-hidden="true">&nbsp;Votre collectivit&eacute;</h3>
            <div class="fr-search-bar" id="header-search" role="search" aria-label="Ma collectivit&eacute;">
                <label class="fr-label" for="organizationsAutocomplete">
                    Recherchez et connectez vous &agrave; votre collectivit&eacute;
                    <span class="fr-input-hint">sdfsdqf</span>
                </label>
                <input class="fr-input" type="text" placeholder="Recherchez et connectez vous &agrave; votre collectivit&eacute;" type="search" id="organizationsAutocomplete" />
                <button class="fr-btn" title="Rechercher">
                    Rechercher
                </button>
            </div>
        </div>
    </div>
{% endautoescape %}
{% endblock %}

{% block script %}
<script src="https://cdn.jsdelivr.net/npm/bootstrap-4-autocomplete/dist/bootstrap-4-autocomplete.min.js" crossorigin="anonymous"></script>
<script type="text/javascript">
	var organizations = {{ organizations|json_encode|raw }};
	var sources = {};
	for (var org in organizations) {
		sources[organizations[org]] = organizations[org];
	}

	function onSelectItem(item, element) {
		window.location = '/connexion/' + item.value;
	}

	$('#organizationsAutocomplete').autocomplete({
		source: sources,
		onSelectItem: onSelectItem,
		highlightClass: 'text-danger',
		treshold: 2,
	});
</script>

{% endblock %}

